Attribute VB_Name = "modMain"
' **************************************************************************
'
'  Program:       VB5 Code Timer Utility
'
'  Written By:    Rich By  73553.774@compuserve.com
'
'  Version:       1.00.0001  (written 11/30/97)
'
'  Comments:      To add a new test add a new item in the LoadTestList sub
'                 then add the corresponding case in the RunTest sub.  If
'                 you have questions or comments feel free to contact me at
'                 the above address.
'
'  Module Descr:  Public decs and common routines
'
' **************************************************************************
Option Explicit
'
'  The scroll multiplier can be adusted to provide smaller or
'  larger max iterations (the scroll bar range is 1 to 20,000)
'
   Public Const SCROLL_MULTIPLIER = 50
'
'  Public declarations used by the application
'
   Public giFile As Integer
   Public gstrPath As String
   Public gstrTitle As String
   Public gstrVer As String
   Public gstrExeType As String
   Public gstrRetFile As String
'
'  Public declarations used by the tests
'
   Public Type testSt
      strA As String * 30
   End Type

   Public test As testSt
   Public giIntArray() As Integer
   Public gsSngArray() As Single
   Public giUBArray(1 To 20) As Integer
'
'  API decs...
'
   Public Declare Function timeGetTime& Lib "winmm.dll" ()

Public Sub T_FarEmptySub()

End Sub

Public Sub CenterToScreen(F As Form)
'
'  Standard centering routine
'
   With F
      .Move (Screen.Width - .Width) / 2!, (Screen.Height - .Height) / 2!
      If .Left + .Width > Screen.Width Then .Left = Screen.Width - .Width
      If .Left < 0 Then .Left = 0
      If .Top + .Height > Screen.Height Then .Top = Screen.Height - .Height
      If .Top < 0 Then .Top = 0
   End With
   
End Sub

Public Sub Main()
'
'  Determine application path
'
   gstrPath = App.Path
   If Right$(gstrPath, 1) <> "\" Then gstrPath = gstrPath & "\"
'
'  Are we machine or P-Code compiled?
'
   Call GetVerInfo
'
'  Open results file and create header
'
   giFile = FreeFile
   Open gstrPath & gstrRetFile For Output As #giFile
   Print #giFile, gstrVer & " Code Time Results " & gstrExeType
   Print #giFile, Format$(Now, "mmmm d, yyyy h:mm AM/PM")
   Print #giFile, ""
   Print #giFile, "Test"; Tab(36); "Iterate"; Tab(46); "Total Time"; Tab(66); "Actual Time"
   Print #giFile, ""
'
'  Show the main form
'
   frmMain.Caption = gstrTitle
   frmMain.Show
'
'  Done
'
End Sub
