VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "VB5 Code Timer Utility"
   ClientHeight    =   3210
   ClientLeft      =   1440
   ClientTop       =   2175
   ClientWidth     =   6870
   ClipControls    =   0   'False
   ForeColor       =   &H80000008&
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3210
   ScaleWidth      =   6870
   Begin VB.CommandButton cmdAbout 
      Appearance      =   0  'Flat
      Caption         =   "&About"
      Height          =   480
      Left            =   5400
      TabIndex        =   5
      Top             =   690
      Width           =   1335
   End
   Begin VB.ListBox lstTest 
      Height          =   2010
      Left            =   180
      Sorted          =   -1  'True
      TabIndex        =   1
      Top             =   300
      Width           =   5025
   End
   Begin VB.HScrollBar hsbCount 
      Height          =   285
      LargeChange     =   1000
      Left            =   180
      Max             =   20000
      Min             =   1
      SmallChange     =   100
      TabIndex        =   3
      Top             =   2790
      Value           =   1
      Width           =   5025
   End
   Begin VB.CommandButton cmdExit 
      Appearance      =   0  'Flat
      Cancel          =   -1  'True
      Caption         =   "E&xit"
      Height          =   480
      Left            =   5400
      TabIndex        =   6
      Top             =   1260
      Width           =   1335
   End
   Begin VB.CommandButton cmdRun 
      Appearance      =   0  'Flat
      Caption         =   "&Run Test"
      Default         =   -1  'True
      Height          =   480
      Left            =   5400
      TabIndex        =   4
      Top             =   120
      Width           =   1335
   End
   Begin VB.Label lblCount 
      Alignment       =   2  'Center
      BackColor       =   &H00C0FFFF&
      BorderStyle     =   1  'Fixed Single
      Height          =   285
      Left            =   5400
      TabIndex        =   9
      Top             =   2790
      Width           =   1335
   End
   Begin VB.Label lblTest 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "Test Label"
      ForeColor       =   &H80000008&
      Height          =   195
      Left            =   5640
      TabIndex        =   8
      Top             =   2520
      Visible         =   0   'False
      Width           =   855
   End
   Begin VB.Label lblTesting 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "Testing..."
      ForeColor       =   &H00FF0000&
      Height          =   255
      Left            =   5640
      TabIndex        =   7
      Top             =   2100
      Visible         =   0   'False
      Width           =   1035
   End
   Begin VB.Label lblList 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "&Select Test:"
      ForeColor       =   &H80000008&
      Height          =   225
      Left            =   180
      TabIndex        =   0
      Top             =   60
      Width           =   2115
   End
   Begin VB.Label lblScroll 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "Select &Number of Iterations:"
      ForeColor       =   &H80000008&
      Height          =   195
      Left            =   180
      TabIndex        =   2
      Top             =   2535
      Width           =   2535
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' **************************************************************************
'
'  Program:       VB5 Code Timer Utility
'
'  Written By:    Rich By  73553.774@compuserve.com
'
'  Version:       1.00.0001  (written 11/30/97)
'
'  Comments:      To add a new test add a new item in the LoadTestList sub
'                 then add the corresponding case in the RunTest sub.  If
'                 you have questions or comments feel free to contact me at
'                 the above address.
'
'  Module Descr:  Main form
'
' **************************************************************************
Option Explicit

 Private Sub cmdAbout_Click()
'
'  Show "about" msgbox
'
   Dim strMsg As String

   strMsg = "This utility determines execution time of many common" & vbCrLf
   strMsg = strMsg & "Visual Basic statements and functions.  The actual time" & vbCrLf
   strMsg = strMsg & "will be somewhat overstated due the high percentage" & vbCrLf
   strMsg = strMsg & "of processor cache hits resulting from the large number" & vbCrLf
   strMsg = strMsg & "of iterations required to interpolate the results." & vbCrLf & vbCrLf
   strMsg = strMsg & "The tests are designed to accurately measure the relative" & vbCrLf
   strMsg = strMsg & "efficiency of Visual Basic code."
   
   MsgBox strMsg, vbInformation, gstrTitle

End Sub

Private Sub cmdExit_Click()

   Unload Me
   End

End Sub

Private Sub cmdRun_Click()
'
'  Run the test...
'
   Dim lVal As Long

   Screen.MousePointer = vbHourglass
   lblTesting.Visible = True
   lblTesting.Refresh
   lVal = hsbCount.Value
   Call RunTest(lVal * SCROLL_MULTIPLIER, lstTest.ItemData(lstTest.ListIndex))
   lblTesting.Visible = False
   Screen.MousePointer = vbDefault

End Sub

Private Sub Form_Load()

   Call CenterToScreen(Me)
   hsbCount.Value = hsbCount.Max / 2
   Call LoadTestList
   
End Sub

Private Sub Form_Unload(Cancel As Integer)

   If giFile Then
      Print #giFile, ""
      Print #giFile, "End of Test Results"
      Close #giFile
   End If

End Sub

Private Sub hsbCount_Change()

   Dim strCount As String
   Dim lVal As Long
   
   lVal = hsbCount.Value
   lVal = lVal * SCROLL_MULTIPLIER
   strCount = Format$(lVal, "Standard")
   lblCount = Left$(strCount, Len(strCount) - 3)

End Sub

Private Sub lstTest_DblClick()

   Call cmdRun_Click

End Sub

